# __gnu_parallel::LoserTreePointerUnguarded< stable, T, Comparator > Class Template Reference

Stable unguarded LoserTree variant storing pointers. More...

Inheritance diagram for __gnu_parallel::LoserTreePointerUnguarded< stable, T, Comparator >:

List of all members.

## Public Member Functions

- void delete_min_insert (const T &key, bool sup)
- int get_min_source ()
- void init ()
- unsigned int init_winner (unsigned int root)
- void insert_start (const T &key, int source, bool)
- LoserTreePointerUnguarded (unsigned int _k, const T &_sentinel, Comparator _comp=std::less< T >())

## Protected Attributes

- Comparator comp
- unsigned int ik
- unsigned int k
- Loser * losers
- unsigned int offset

## Detailed Description

### template<bool stable, typename T, typename Comparator>
class __gnu_parallel::LoserTreePointerUnguarded< stable, T, Comparator >

Stable unguarded LoserTree variant storing pointers.

Unstable variant is implemented below using partial specialization.

Definition at line 853 of file losertree.h.

The documentation for this class was generated from the following file:

- losertree.h